<?php
class cProductomarca{
	function insertar($cat_id,$mar_id,$codbar,$precos,$preven,$prevenf,$fecven){
		$sql = "INSERT INTO tb_productomarca(
		`tb_catalogo_id` ,
		`tb_marca_id` ,
		`tb_productomarca_codbar`,
		`tb_productomarca_precos`,
		`tb_productomarca_preven`,
		`tb_productomarca_prevenf`,
		`tb_productomarca_fecven`
		)
		VALUES ('$cat_id','$mar_id','$codbar','$precos','$preven','$prevenf','$fecven');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function editar($promar_id,$codbar,$precos,$preven,$prevenf,$fecven){
		$sql = "UPDATE tb_productomarca set
		`tb_productomarca_codbar` = '$codbar',
		`tb_productomarca_precos` = '$precos',
		`tb_productomarca_preven` = '$preven',
		`tb_productomarca_prevenf` = '$prevenf',
		`tb_productomarca_fecven` = '$fecven'
		WHERE tb_productomarca_id = '$promar_id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function editar_catalogo($cat_id,$codbar,$precos,$preven,$prevenf,$fecven){
		$sql = "UPDATE tb_productomarca set
		`tb_productomarca_codbar` = '$codbar',
		`tb_productomarca_precos` = '$precos',
		`tb_productomarca_preven` = '$preven',
		`tb_productomarca_prevenf` = '$prevenf',
		`tb_productomarca_fecven` = '$fecven'
		WHERE tb_catalogo_id = '$cat_id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function editar_compra($promar_id,$precos){
		$sql = "UPDATE tb_productomarca set
		`tb_productomarca_precos` = '$precos'
		WHERE tb_productomarca_id = '$promar_id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ultimoInsert(){
		$sql = "select MAX(tb_productomarca_id) as 'id' from tb_productomarca"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_campo($id, $campo, $val){
		$sql = "UPDATE tb_productomarca SET
		tb_productomarca_$campo =  '$val' 
		WHERE  tb_productomarca_id = '$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function modificar_campo2($catid,$marid, $campo, $val){
		$sql = "UPDATE tb_productomarca SET
		tb_productomarca_$campo =  '$val' 
		WHERE  tb_catalogo_id = '$catid' and tb_marca_id = '$marid'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrar_filtro($cat_id){
		$sql="SELECT *
		FROM tb_productomarca pm
		INNER JOIN tb_marca m on pm.tb_marca_id = m.tb_marca_id
		inner join tb_catalogo ct on ct.tb_catalogo_id = pm.tb_catalogo_id
		WHERE tb_productomarca_xac='1' ";
		if($cat_id!="")$sql.=" AND pm.tb_catalogo_id = '$cat_id' ";
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
		function mostrar_uno($cat_id,$mar_id){
		$sql="SELECT * FROM tb_productomarca WHERE tb_catalogo_id ='$cat_id' and tb_marca_id = '$mar_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_uno_marca_producto($promar_id){
		$sql="SELECT * FROM tb_productomarca promar_id
		inner join tb_marca m on m.tb_marca_id = promar_id.tb_marca_id
		WHERE tb_productomarca_id = '$promar_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
function mostrar_marcacategoria($cat_id,$mar_nom){
		$mar_nom = limpia_espacios($mar_nom);
		$sql="SELECT * FROM tb_marca m 
		inner join tb_productomarca pm on pm.tb_marca_id = m.tb_marca_id
		inner join tb_catalogo ct on ct.tb_catalogo_id = pm.tb_catalogo_id 
		where ct.tb_catalogo_xac = '1' ";
		if($cat_id>0)$sql.=" and ct.tb_catalogo_id = '$cat_id' ";
		if($mar_nom!="")$sql.=" and  m.tb_marca_nom = '$mar_nom' ";
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
}
	
	
}
?>